Name:           DecodeIR
Version:        2.45
Release:        3%{?dist}
Summary:        Infrared remote controls decoding library

Group:          System Environment/Libraries
                # hifiremote/decodeir/DecodeIRCaller.java is GPLv2
                # Other files in public domain
License:        Public Domain and GPLv2+
URL:            http://sourceforge.net/p/controlremote

                # Create tarball using something like
                #   repo="svn://svn.code.sf.net/p/controlremote/code"
                #   svn export -q $repo/tags/decodeir-2.45 DecodeIR
                #   tar czf ../DecodeIR.tar.gz DecodeIR
Source0:        DecodeIR.tar.gz
Source1:        Makefile.fedora
Source2:        license-mail.txt

                # From upstream, post-release (both)
Patch1:         0001-Add-java-library-DecodeIR.patch
Patch2:         0002-Adding-a-pom.xml.patch

BuildRequires:  libtool
BuildRequires:  java-sdk
BuildRequires:  maven-local


%description
DecodeIR is a general library which can decode signals for a large number
of infrared remote controls. It can be used as a regular C library or
through a java interface. Being a JNI library, it does not support multi-arch
installations.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        javadoc
Summary:        Javadoc for %{name}
BuildArch:      noarch

%description javadoc
Javadoc API documentation for %{name}.


%prep
%setup -qn DecodeIR
%patch1 -p1
%patch2 -p1
sed -i 's/\r//'  DecodeIR.h
cp %{SOURCE1} Makefile


%build
CFLAGS="%{optflags}" make %{?_smp_mflags}
%mvn_build


%install
make    DESTDIR=%{buildroot} \
        prefix=/usr \
        libdir=%{_libdir} \
        install
cp %{SOURCE2} .
%mvn_install


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f .mfiles
%dir %{_jnidir}/DecodeIR
%dir %{_datadir}/maven-poms/DecodeIR
%doc DecodeIR.html
%license  license-mail.txt

%{_libdir}/DecodeIR
%{_libdir}/libDecodeIR.so

%files devel
%{_includedir}/*

%files javadoc -f .mfiles-javadoc
%license  license-mail.txt


%changelog
* Sat Mar 21 2015 Alec Leamas <leamas.alec@gmail.com> - 2.45-3
- Fix empty debug package (kudos: Ville Skyttä)
- Makefile.fedora cleanup.

* Fri Mar 13 2015 Alec Leamas <leamas.alec@gmail.com> - 2.45-2
- Update license
- Make javadoc package noarch
- Make the license mail %%license

* Thu Mar 05 2015 Alec Leamas <leamas.alec@gmail.com> - 2.45-1
- Initial release
